import 'dart:async';
import 'package:chaleno/src/chaleno_parser.dart';
import 'package:dio/dio.dart';

class Chaleno {
  String? document;

  //Load and result content page from url given
  //Can Load from URL or Asset folder
  //To indicate to load from asset set [fromAsset] true
  Future<Parser?> load(String url) async {
    final dio = Dio();
    try {
      final response = await dio.get(url);
      if (response.statusCode == 200) {
        document = response.data;
      }
    } catch (e) {
      print('Chaleno [ Exception ]: $e');
    } finally {
      dio.close();
    }

    return Parser(document);
  }
}
